v1.0.0
OpenAPI 3.1.0

Look up a collection source

US region

Client Libraries

Look up a collection source

​

Returns a collection source, without its credentials.

Path Parameters
  • source_id
    Type: string
    required

    The identifier for a collection source (like a bucket in Amazon S3, Google Cloud Storage, or Azure Blob Storage).

Responses
  • application/json
  • 404

    Your workspace doesn't have a source with this id.

  • application/json
Request Example for get/v1/collections/sources/{source_id}
curl 'https://api.customer.io/v1/collections/sources/{source_id}' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "source": {
    "bucket": "acme-exports",
    "created_at": "2026-11-02T15:31:31Z",
    "id": "01JD8X4Q6R2W7N3K5M9P1T0VZC",
    "name": "exports",
    "prefix": "imports",
    "provider": "s3",
    "region": "us-east-1",
    "updated_at": "2026-11-02T15:31:31Z"
  }
}